net.sourceforge.pmd

## Class AbstractRuleTest

- java.lang.Object
- - net.sourceforge.pmd.AbstractRuleTest

    public class AbstractRuleTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AbstractRuleTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testCreateRV()`
`void` `testCreateRV2()`
`void` `testEquals1()`
`void` `testEquals10()`
`void` `testEquals2()`
`void` `testEquals3()`
`void` `testEquals4()`
`void` `testEquals5()`
`void` `testEquals6()`
`void` `testEquals7()`
`void` `testEquals8()`
`void` `testEquals9()`
`void` `testRuleSuppress()`
`void` `testRuleWithVariableInMessage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractRuleTest

    public AbstractRuleTest()

### Method Detail

#### testCreateRV

    public void testCreateRV()

#### testCreateRV2

    public void testCreateRV2()

#### testRuleWithVariableInMessage

    public void testRuleWithVariableInMessage()

#### testRuleSuppress

    public void testRuleSuppress()

#### testEquals1

    public void testEquals1()

#### testEquals2

    public void testEquals2()

#### testEquals3

    public void testEquals3()

#### testEquals4

    public void testEquals4()

#### testEquals5

    public void testEquals5()

#### testEquals6

    public void testEquals6()

#### testEquals7

    public void testEquals7()

#### testEquals8

    public void testEquals8()

#### testEquals9

    public void testEquals9()

#### testEquals10

    public void testEquals10()

#### suite

    public static junit.framework.Test suite()